de.esprit.netsuite.netdata.agent.internal.transfer

## Class TransfersRunningListAgent

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.util.TransferableObject
    - - de.esprit.netsuite.netdata.AbstractCrossPlatformObject<C,S>
      - - de.esprit.netsuite.netdata.agent.AbstractAgent<ClientContext,ServerContext>
        - - de.esprit.netsuite.netdata.agent.AbstractInternalAgent
          - - de.esprit.netsuite.netdata.agent.internal.transfer.TransfersRunningListAgent

- All Implemented Interfaces:
    TaskIdHolder, Renderable, SimpleLogSupport, DeepCloneable, Dumpable, ClientObject<ClientContext>, Agent<ClientContext,ServerContext>, AsyncAgent<ClientContext,ServerContext>, TimeMeasurable, CrossPlatformObject<ClientContext,ServerContext>, ServerObject<ServerContext>, java.io.Serializable, java.lang.Cloneable

      public class TransfersRunningListAgent
      extends AbstractInternalAgent

  This agent reads the list of file transfers that are currently running
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransfersRunningListAgent(ClientContext clientCtx)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearClientParams()` Clears the parameters in the client cache that have been set by this agent.
    `protected AgentId` | `createAgentId(SessionId sessId)`
    `boolean` | `equals(java.lang.Object obj)` Evaluates equality by comparing the AgentId object.
    `void` | `executeOnServer()` This is the agent's main execution method called on the server.
    `AgentId` | `getAgentId()` Returns a server side unique identifier.
    `java.lang.Object` | `getArgument()` Returns the optional argument of this agent.
    `<T> T` | `getClientParam(java.lang.String key)` Fetches an agent specific parameter from the client cache.
    `java.util.Map` | `getClientParams()` Allows an async agent to store an Agent-specific parameter in a client cache.
    `java.lang.Exception` | `getError()` Returns the Exception that may have been raised during agent execution on the server.
    `JobId[]` | `getJobIds()` Returns the JobIds of all currently running file transfer on the server.
    `java.lang.String` | `getName()` Returns a meaningful name for debugging purposes.
    `SessionId` | `getOwnerSessionId()` Returns session id of the actual originator client (which cannot be a CoClient, but just a normal client)
    `int` | `getPriority()` Returns the thread priority which is used to execute this agent
    `long` | `getProcessingDuration()` Returns the time (in millis) it has taken to process the agent on server side.
    `long` | `getReceivedTime()` Tells when the agent was received by the client
    `int` | `getResponseTimeout()` Returns the desired timeout (in seconds) that should apply to this agent, or 0 if no timeout should be used.
    `long` | `getSentTime()` Tells when the agent was sent by the client
    `SessionId` | `getSessionId()` Returns the SessionId of the owner of this agent
    `java.lang.String` | `getTargetServer()` Returns the target server if one is set.
    `TaskId` | `getTaskId()` Returns the unique identifier for this task.
    `long` | `getTotalDuration()` Returns the time (in millis) it has taken from sending to finishing postprocessing of the agent.
    `long` | `getTransferDuration()` Returns the time (in millis) it has taken from sending to receiving the agent.
    `protected int` | `getZippedArgumentLength()`
    `boolean` | `hasClientParam(java.lang.String key)` Checks whether an agent specific parameter exists in the client cache.
    `boolean` | `hasError()` Tells whether the agent had an Exception during execution on server side.
    `int` | `hashCode()`
    `boolean` | `hasRun()` Tells whether this agent has been executed on the server.
    `boolean` | `isPartialResultsEnabled()` Tells whether the agent supports partial results.
    `boolean` | `isReceived()` Tells whether this agent yet has been received by the client.
    `boolean` | `isReceivedInMessage()` Returns true if the agent has been received within a message.
    `boolean` | `isReceivedInResponse()` Returns true if the agent has been received within a response.
    `boolean` | `isRejectable()` Tells whether this agent can be rejected when the server is on heavy load.
    `void` | `logDebug(java.lang.String message)`
    `void` | `logDump(java.lang.String message)`
    `void` | `logError(java.lang.String message)`
    `void` | `logError(java.lang.String message, java.lang.Exception error)`
    `void` | `logFatal(java.lang.String message, java.lang.Exception error)`
    `void` | `logInfo(java.lang.String message)`
    `void` | `logVerbose(java.lang.String message)`
    `void` | `logWarning(java.lang.String message)`
    `void` | `putClientParam(java.lang.String key, java.lang.Object value)` Putting a null value results in removing the key
    `boolean` | `sendForBooleanExecution()` Same as `Agent.sendForExecution()` but does not return the agent, rather it returns true if the agent has successfully being processed, false otherwise.
    `<A extends Agent<C,S>> A` | `sendForExecution()` Sends the agent to the server for execution and returns the readily processed agent.
    `<A extends Agent<C,S>> A` | `sendForSilentExecution()` Same as `Agent.sendForExecution()` just without throwing an Exception.
    `void` | `setArgument(java.lang.Object arg)` Besides any internal variables the agent may optionally carry an arbitrary argument.
    `void` | `setArgument(java.lang.Object arg, boolean doZip)` Same as setArgument(Object) but compresses the argument to a zipped byte array.
    `void` | `setFailed(java.lang.Exception error)` Sets the internal Exception of the Agent.
    `void` | `setFinished()` Is called by the server to mark this agent as being processed and stores the processing duration.
    `void` | `setName(java.lang.String agentName)` Sets a meaningful name for debugging purposes.
    `void` | `setOwnerSessionId(SessionId ownerSessId)` Sets the sessionId of the user who creates the agent
    `void` | `setPartialResultsEnabled(boolean isEnabled)` Tells whether the agent supports partial results.
    `void` | `setPriority(int priority)` Sets the thread priority which is used to execute this agent
    `void` | `setReceivedInMessage(boolean isReceivedInMessage)` Is set when this agent has been received within a message
    `void` | `setReceivedTime(long receivedTime)` Is called by the client when the agent is received
    `void` | `setRejectable(boolean state)` If set to false, then the agent cannot be rejected by the server even if the server is on heavy load.
    `void` | `setResponseTimeout(int seconds)` Sets the response timeout in seconds.
    `void` | `setSentTime(long sentTime)` Is called by the client when the agent is sent
    `void` | `setServerContext(S serverCtx)` Sets the server runtime environment
    `void` | `setSessionId(SessionId sessId)` Allows for setting the SessionId of this agent
    `void` | `setTargetServer(java.lang.String targetServer)` Sets the target server.
    `DumpString` | `toDumpString(DumpString s)` This method creates a multi line debug output to display the full content of the agent.
    `ToString` | `toString(ToString s)` This method creates a single line debug output to display the most important properties of the agent

    - ### Methods inherited from class de.esprit.netsuite.netdata.agent.AbstractAgent

      `checkCancelled, checkPermission, doFinallyOnClient, doFinallyOnServer, doInitiallyOnClient, doInitiallyOnServer, doOnClientSideCancellation, doOnMessageError, doOnMessageReceived, doOnResponseConfirmed, doOnResponseError, doOnResponseReceived, doOnServerSideCancellation, executeForResponse, getKillerSessionId, getMessageTimeout, getRenderColor, getRenderIcon, getRenderText, isAsync, isIgnoreMessageError, isNoReturn, isTimedOut, setAsync, setCancelledBy, setIgnoreMessageError, setMessageTimeout, setNoReturn, sleepChecked, wasCancelled`

    - ### Methods inherited from class de.esprit.netsuite.netdata.AbstractCrossPlatformObject

      `checkOnClient, checkOnServer, getClientContext, getLogChannel, getServerContext, isLogDebug, isLogVerbose, isOnClient, isOnServer, setClientContext, setLogChannel`

    - ### Methods inherited from class de.esprit.common.util.TransferableObject

      `clone, deepClone`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface de.esprit.netsuite.netdata.agent.Agent

      `clearClientParams, getAgentId, getArgument, getClientParam, getClientParams, getError, getName, getOwnerSessionId, getPriority, getResponseTimeout, getSessionId, getTargetServer, hasClientParam, hasError, hasRun, isPartialResultsEnabled, isReceived, isReceivedInMessage, isReceivedInResponse, isRejectable, putClientParam, sendForBooleanExecution, sendForExecution, sendForSilentExecution, setArgument, setArgument, setFailed, setFinished, setName, setOwnerSessionId, setPartialResultsEnabled, setPriority, setReceivedInMessage, setRejectable, setResponseTimeout, setSessionId, setTargetServer`

    - ### Methods inherited from interface de.esprit.netsuite.netdata.CrossPlatformObject

      `isOnClient, isOnServer, setClientContext, setServerContext`

    - ### Methods inherited from interface de.esprit.netsuite.client.ClientObject

      `getClientContext`

    - ### Methods inherited from interface de.esprit.netsuite.server.ServerObject

      `getServerContext`

    - ### Methods inherited from interface de.esprit.common.type.Dumpable

      `toDumpString, toString`

    - ### Methods inherited from interface de.esprit.common.type.DeepCloneable

      `deepClone`

    - ### Methods inherited from interface de.esprit.netsuite.netdata.agent.TimeMeasurable

      `getProcessingDuration, getReceivedTime, getSentTime, getTotalDuration, getTransferDuration, setReceivedTime, setSentTime`

    - ### Methods inherited from interface de.esprit.common.log.SimpleLogSupport

      `getLogChannel, isLogDebug, isLogVerbose, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, setLogChannel`

- - ### Constructor Detail

    - #### TransfersRunningListAgent

          public TransfersRunningListAgent(ClientContext clientCtx)

  - ### Method Detail

    - #### executeOnServer

          public void executeOnServer()
                               throws java.lang.Exception

      Description copied from interface: `Agent`
      This is the agent's main execution method called on the server.
      Throws:
        `java.lang.Exception`

    - #### getJobIds

          public JobId[] getJobIds()

      Returns the JobIds of all currently running file transfer on the server.

    - #### toString

          public ToString toString(ToString s)

      This method creates a single line debug output to display the most important properties of the agent
      Specified by:
        `toString` in interface `Dumpable`
      Overrides:
        `toString` in class `AbstractAgent<ClientContext,ServerContext>`

    - #### toDumpString

          public DumpString toDumpString(DumpString s)

      This method creates a multi line debug output to display the full content of the agent.
      Specified by:
        `toDumpString` in interface `Dumpable`
      Overrides:
        `toDumpString` in class `AbstractAgent<ClientContext,ServerContext>`

    - #### createAgentId

          protected AgentId createAgentId(SessionId sessId)

    - #### getClientParams

          public final java.util.Map getClientParams()

      Description copied from interface: `Agent`
      Allows an async agent to store an Agent-specific parameter in a client cache. An agent or a sequence of agents can access such parameters when they have been received via message. The client cache is automatically cleared when the agent is done - no matter whether it was cancelled or normally finished.
      Specified by:
        `getClientParams` in interface `Agent<C extends ClientContext,S extends ServerContext>`

    - #### putClientParam

          public final void putClientParam(java.lang.String key,
                            java.lang.Object value)

      Putting a null value results in removing the key
      Specified by:
        `putClientParam` in interface `Agent<C extends ClientContext,S extends ServerContext>`
      See Also:
        `Agent.getClientParams()`

    - #### getClientParam

          public final <T> T getClientParam(java.lang.String key)

      Description copied from interface: `Agent`
      Fetches an agent specific parameter from the client cache.
      Specified by:
        `getClientParam` in interface `Agent<C extends ClientContext,S extends ServerContext>`
      See Also:
        `Agent.getClientParams()`

    - #### hasClientParam

          public final boolean hasClientParam(java.lang.String key)

      Description copied from interface: `Agent`
      Checks whether an agent specific parameter exists in the client cache.
      Specified by:
        `hasClientParam` in interface `Agent<C extends ClientContext,S extends ServerContext>`

    - #### clearClientParams

          public final void clearClientParams()

      Description copied from interface: `Agent`
      Clears the parameters in the client cache that have been set by this agent.
      Specified by:
        `clearClientParams` in interface `Agent<C extends ClientContext,S extends ServerContext>`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Evaluates equality by comparing the AgentId object.
      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### getAgentId

          public AgentId getAgentId()

      Description copied from interface: `Agent`
      Returns a server side unique identifier. Note that a client remembers this identifier which is used to cancel an asynchronously running agent.
      Specified by:
        `getAgentId` in interface `Agent<C extends ClientContext,S extends ServerContext>`

    - #### getTaskId

          public final TaskId getTaskId()

      Description copied from interface: `TaskIdHolder`
      Returns the unique identifier for this task. This identifier is only valid for a single task execution. When the same task instance executes another time then it will have a new `TaskId`.
      Specified by:
        `getTaskId` in interface `TaskIdHolder`

    - #### getSessionId

          public final SessionId getSessionId()

      Returns the SessionId of the owner of this agent
      Specified by:
        `getSessionId` in interface `Agent<C extends ClientContext,S extends ServerContext>`
      See Also:
        `Agent.setSessionId(SessionId)`, `Agent.getOwnerSessionId()`

    - #### setSessionId

          public final void setSessionId(SessionId sessId)

      Description copied from interface: `Agent`
      Allows for setting the SessionId of this agent
      Specified by:
        `setSessionId` in interface `Agent<C extends ClientContext,S extends ServerContext>`
      See Also:
        `Agent.getSessionId()`

    - #### setServerContext

          public final void setServerContext(S serverCtx)

      Description copied from interface: `CrossPlatformObject`
      Sets the server runtime environment
      Specified by:
        `setServerContext` in interface `CrossPlatformObject<C extends ClientContext,S extends ServerContext>`
      Overrides:
        `setServerContext` in class `AbstractCrossPlatformObject<C extends ClientContext,S extends ServerContext>`
      See Also:
        `ServerObject.getServerContext()`

    - #### isPartialResultsEnabled

          public final boolean isPartialResultsEnabled()

      Description copied from interface: `Agent`
      Tells whether the agent supports partial results. If set to true then agent postprocessing takes place even if the agent contains an error.
      Specified by:
        `isPartialResultsEnabled` in interface `Agent<C extends ClientContext,S extends ServerContext>`
      See Also:
        `Agent.setPartialResultsEnabled(boolean)`

    - #### setPartialResultsEnabled

          public final void setPartialResultsEnabled(boolean isEnabled)

      Description copied from interface: `Agent`
      Tells whether the agent supports partial results. If set to true then agent postprocessing takes place even if the agent contains an error.
      Specified by:
        `setPartialResultsEnabled` in interface `Agent<C extends ClientContext,S extends ServerContext>`
      See Also:
        `Agent.isPartialResultsEnabled()`

    - #### setRejectable

          public final void setRejectable(boolean state)

      Description copied from interface: `Agent`
      If set to false, then the agent cannot be rejected by the server even if the server is on heavy load. Is true by default. This feature should be used sparingly because it may lead to overloading the server. A normal rejectable agent is put into the AgentWorkerThreadPool which has a limited capacity. A non-rejectable agent is put into the AgentSleeperThreadPool which as unlimited capacity.
      Specified by:
        `setRejectable` in interface `Agent<C extends ClientContext,S extends ServerContext>`

    - #### isRejectable

          public final boolean isRejectable()

      Description copied from interface: `Agent`
      Tells whether this agent can be rejected when the server is on heavy load.
      Specified by:
        `isRejectable` in interface `Agent<C extends ClientContext,S extends ServerContext>`

    - #### getOwnerSessionId

          public final SessionId getOwnerSessionId()

      Returns session id of the actual originator client (which cannot be a CoClient, but just a normal client)
      Specified by:
        `getOwnerSessionId` in interface `Agent<C extends ClientContext,S extends ServerContext>`

    - #### setOwnerSessionId

          public void setOwnerSessionId(SessionId ownerSessId)

      Description copied from interface: `Agent`
      Sets the sessionId of the user who creates the agent
      Specified by:
        `setOwnerSessionId` in interface `Agent<C extends ClientContext,S extends ServerContext>`

    - #### getTargetServer

          public final java.lang.String getTargetServer()

      Description copied from interface: `Agent`
      Returns the target server if one is set.
      Specified by:
        `getTargetServer` in interface `Agent<C extends ClientContext,S extends ServerContext>`
      See Also:
        `Agent.setTargetServer(String)`

    - #### setTargetServer

          public final void setTargetServer(java.lang.String targetServer)

      Description copied from interface: `Agent`
      Sets the target server. The target server may be any server in a cascading server network. The agent is being routed to the target server for execution.

      Note that target server routing is not supported for async agents.

      Specified by:
        `setTargetServer` in interface `Agent<C extends ClientContext,S extends ServerContext>`
      See Also:
        `Agent.getTargetServer()`

    - #### setName

          public void setName(java.lang.String agentName)

      Description copied from interface: `Agent`
      Sets a meaningful name for debugging purposes. This name is printed in the toString() method by default. The default name is the latter part of the class-name.
      Specified by:
        `setName` in interface `Agent<C extends ClientContext,S extends ServerContext>`

    - #### getName

          public final java.lang.String getName()

      Description copied from interface: `Agent`
      Returns a meaningful name for debugging purposes. This name is printed in the toString() method by default.
      Specified by:
        `getName` in interface `Agent<C extends ClientContext,S extends ServerContext>`

    - #### setResponseTimeout

          public final void setResponseTimeout(int seconds)

      Sets the response timeout in seconds. A zero value indicates that the DEFAULT_REQUEST_TIMEOUT is being used. A negative value indicates that there is no timeout constraint.
      Specified by:
        `setResponseTimeout` in interface `Agent<C extends ClientContext,S extends ServerContext>`
      See Also:
        `Agent.getResponseTimeout()`

    - #### getResponseTimeout

          public final int getResponseTimeout()

      Description copied from interface: `Agent`
      Returns the desired timeout (in seconds) that should apply to this agent, or 0 if no timeout should be used.
      Specified by:
        `getResponseTimeout` in interface `Agent<C extends ClientContext,S extends ServerContext>`
      See Also:
        `Agent.setResponseTimeout(int)`

    - #### hasRun

          public final boolean hasRun()

      Description copied from interface: `Agent`
      Tells whether this agent has been executed on the server. After execution it contains either an error or a valid result if applicable.
      Specified by:
        `hasRun` in interface `Agent<C extends ClientContext,S extends ServerContext>`
      See Also:
        `Agent.hasError()`

    - #### hasError

          public final boolean hasError()

      Description copied from interface: `Agent`
      Tells whether the agent had an Exception during execution on server side.
      Specified by:
        `hasError` in interface `Agent<C extends ClientContext,S extends ServerContext>`
      See Also:
        `Agent.getError()`

    - #### getError

          public final java.lang.Exception getError()

      Description copied from interface: `Agent`
      Returns the Exception that may have been raised during agent execution on the server. You must check with `Agent.hasError()` whether an Exception exists in the agent.
      Specified by:
        `getError` in interface `Agent<C extends ClientContext,S extends ServerContext>`
      See Also:
        `Agent.setFailed(Exception)`, `Agent.hasError()`

    - #### setFinished

          public final void setFinished()

      Description copied from interface: `Agent`
      Is called by the server to mark this agent as being processed and stores the processing duration. After this method has been called the agent is returned to the client.
      Specified by:
        `setFinished` in interface `Agent<C extends ClientContext,S extends ServerContext>`
      See Also:
        `CrossPlatformObject.setServerContext(ServerContext ctx)`

    - #### setFailed

          public final void setFailed(java.lang.Exception error)

      Description copied from interface: `Agent`
      Sets the internal Exception of the Agent. This Exception is set if agent processing failed on the server.
      Specified by:
        `setFailed` in interface `Agent<C extends ClientContext,S extends ServerContext>`
      See Also:
        `Agent.getError()`, `Agent.hasError()`

    - #### isReceivedInResponse

          public final boolean isReceivedInResponse()

      Description copied from interface: `Agent`
      Returns true if the agent has been received within a response.
      Specified by:
        `isReceivedInResponse` in interface `Agent<C extends ClientContext,S extends ServerContext>`

    - #### isReceivedInMessage

          public final boolean isReceivedInMessage()

      Description copied from interface: `Agent`
      Returns true if the agent has been received within a message. This is only possible for async agents.
      Specified by:
        `isReceivedInMessage` in interface `Agent<C extends ClientContext,S extends ServerContext>`
      See Also:
        `Agent.setReceivedInMessage(boolean)`

    - #### setReceivedInMessage

          public final void setReceivedInMessage(boolean isReceivedInMessage)

      Description copied from interface: `Agent`
      Is set when this agent has been received within a message
      Specified by:
        `setReceivedInMessage` in interface `Agent<C extends ClientContext,S extends ServerContext>`
      See Also:
        `Agent.isReceivedInMessage()`

    - #### getPriority

          public final int getPriority()

      Description copied from interface: `Agent`
      Returns the thread priority which is used to execute this agent
      Specified by:
        `getPriority` in interface `Agent<C extends ClientContext,S extends ServerContext>`

    - #### setPriority

          public final void setPriority(int priority)

      Description copied from interface: `Agent`
      Sets the thread priority which is used to execute this agent
      Specified by:
        `setPriority` in interface `Agent<C extends ClientContext,S extends ServerContext>`

    - #### setSentTime

          public final void setSentTime(long sentTime)

      Description copied from interface: `TimeMeasurable`
      Is called by the client when the agent is sent
      Specified by:
        `setSentTime` in interface `TimeMeasurable`

    - #### getSentTime

          public final long getSentTime()

      Description copied from interface: `TimeMeasurable`
      Tells when the agent was sent by the client
      Specified by:
        `getSentTime` in interface `TimeMeasurable`

    - #### setReceivedTime

          public final void setReceivedTime(long receivedTime)

      Description copied from interface: `TimeMeasurable`
      Is called by the client when the agent is received
      Specified by:
        `setReceivedTime` in interface `TimeMeasurable`

    - #### getReceivedTime

          public final long getReceivedTime()

      Description copied from interface: `TimeMeasurable`
      Tells when the agent was received by the client
      Specified by:
        `getReceivedTime` in interface `TimeMeasurable`

    - #### isReceived

          public final boolean isReceived()

      Description copied from interface: `Agent`
      Tells whether this agent yet has been received by the client.
      Specified by:
        `isReceived` in interface `Agent<C extends ClientContext,S extends ServerContext>`

    - #### getProcessingDuration

          public final long getProcessingDuration()

      Description copied from interface: `TimeMeasurable`
      Returns the time (in millis) it has taken to process the agent on server side.
      Specified by:
        `getProcessingDuration` in interface `TimeMeasurable`

    - #### getTotalDuration

          public final long getTotalDuration()

      Description copied from interface: `TimeMeasurable`
      Returns the time (in millis) it has taken from sending to finishing postprocessing of the agent.
      Specified by:
        `getTotalDuration` in interface `TimeMeasurable`

    - #### getTransferDuration

          public final long getTransferDuration()

      Description copied from interface: `TimeMeasurable`
      Returns the time (in millis) it has taken from sending to receiving the agent.
      Specified by:
        `getTransferDuration` in interface `TimeMeasurable`

    - #### setArgument

          public final void setArgument(java.lang.Object arg,
                         boolean doZip)

      Description copied from interface: `Agent`
      Same as setArgument(Object) but compresses the argument to a zipped byte array.
      Specified by:
        `setArgument` in interface `Agent<C extends ClientContext,S extends ServerContext>`

    - #### setArgument

          public final void setArgument(java.lang.Object arg)

      Description copied from interface: `Agent`
      Besides any internal variables the agent may optionally carry an arbitrary argument.
      Specified by:
        `setArgument` in interface `Agent<C extends ClientContext,S extends ServerContext>`

    - #### getArgument

          public final java.lang.Object getArgument()

      Description copied from interface: `Agent`
      Returns the optional argument of this agent. Note that if the argument was zipped it is being unzipped automatically before it is returned.
      Specified by:
        `getArgument` in interface `Agent<C extends ClientContext,S extends ServerContext>`

    - #### getZippedArgumentLength

          protected final int getZippedArgumentLength()

    - #### sendForExecution

          public <A extends Agent<C,S>> A sendForExecution()
                                           throws java.lang.Exception

      Description copied from interface: `Agent`
      Sends the agent to the server for execution and returns the readily processed agent. If the received agent contains an error this error is thrown.
      Specified by:
        `sendForExecution` in interface `Agent<C extends ClientContext,S extends ServerContext>`
      Throws:
        `java.lang.Exception` - on failure
      See Also:
        `Agent.sendForSilentExecution()`, `Agent.sendForBooleanExecution()`

    - #### sendForSilentExecution

          public final <A extends Agent<C,S>> A sendForSilentExecution()

      Description copied from interface: `Agent`
      Same as `Agent.sendForExecution()` just without throwing an Exception. The returned Agent should be manually checked if it contains an Exception.
      Specified by:
        `sendForSilentExecution` in interface `Agent<C extends ClientContext,S extends ServerContext>`
      See Also:
        `Agent.sendForExecution()`, `Agent.sendForBooleanExecution()`

    - #### sendForBooleanExecution

          public final boolean sendForBooleanExecution()

      Description copied from interface: `Agent`
      Same as `Agent.sendForExecution()` but does not return the agent, rather it returns true if the agent has successfully being processed, false otherwise. In the case of agent processing failure the error Exception is stored in the original input agent and can be requested from there.
      Specified by:
        `sendForBooleanExecution` in interface `Agent<C extends ClientContext,S extends ServerContext>`
      Returns:
        true if the agent succeeded, false if the agent failed.
      See Also:
        `Agent.sendForExecution()`, `Agent.sendForSilentExecution()`

    - #### logFatal

          public final void logFatal(java.lang.String message,
                      java.lang.Exception error)

      Specified by:
        `logFatal` in interface `SimpleLogSupport`
      Overrides:
        `logFatal` in class `AbstractCrossPlatformObject<C extends ClientContext,S extends ServerContext>`

    - #### logError

          public final void logError(java.lang.String message,
                      java.lang.Exception error)

      Specified by:
        `logError` in interface `SimpleLogSupport`
      Overrides:
        `logError` in class `AbstractCrossPlatformObject<C extends ClientContext,S extends ServerContext>`

    - #### logError

          public final void logError(java.lang.String message)

      Specified by:
        `logError` in interface `SimpleLogSupport`
      Overrides:
        `logError` in class `AbstractCrossPlatformObject<C extends ClientContext,S extends ServerContext>`

    - #### logWarning

          public final void logWarning(java.lang.String message)

      Specified by:
        `logWarning` in interface `SimpleLogSupport`
      Overrides:
        `logWarning` in class `AbstractCrossPlatformObject<C extends ClientContext,S extends ServerContext>`

    - #### logInfo

          public final void logInfo(java.lang.String message)

      Specified by:
        `logInfo` in interface `SimpleLogSupport`
      Overrides:
        `logInfo` in class `AbstractCrossPlatformObject<C extends ClientContext,S extends ServerContext>`

    - #### logVerbose

          public final void logVerbose(java.lang.String message)

      Specified by:
        `logVerbose` in interface `SimpleLogSupport`
      Overrides:
        `logVerbose` in class `AbstractCrossPlatformObject<C extends ClientContext,S extends ServerContext>`

    - #### logDebug

          public final void logDebug(java.lang.String message)

      Specified by:
        `logDebug` in interface `SimpleLogSupport`
      Overrides:
        `logDebug` in class `AbstractCrossPlatformObject<C extends ClientContext,S extends ServerContext>`

    - #### logDump

          public final void logDump(java.lang.String message)

      Specified by:
        `logDump` in interface `SimpleLogSupport`
      Overrides:
        `logDump` in class `AbstractCrossPlatformObject<C extends ClientContext,S extends ServerContext>`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.